function [k_P]=konec_P(SWCpt,p_P,fvz,org,zac_QRS)
p_P=p_P+60;
k_P=[];
for i=1:length(p_P)
    k=1;
    hranice=min(abs((zac_QRS-p_P(i))));
        while SWCpt(p_P(i)+k)>0 && p_P(i)+k < length(SWCpt) && p_P(i)+k < p_P(i)+hranice && abs(SWCpt(p_P(i)+k))<abs(SWCpt(p_P(i)+k+1))
            k=k+1;
        end
%         while SWCpt(p_P(i)+k)>0 && p_P(i)+k < length(SWCpt) && p_P(i)+k < p_P(i)+hranice && abs(SWCpt(p_P(i)+k))>abs(SWCpt(p_P(i)+k+1))
%             k=k+1;
%         end
   
%     k_P=[k_P p_P(i)+k ];
     for j=1:3
           
        while p_P(i)+2+k>0 && abs((org(j,p_P(i)+k))-(org(j,p_P(i)+2+k))>5) 
            k=k+1;
        end
        p(j,i)=p_P(i)+k;
        
        
    end
        if p(1,i)>p(2,i)&& p(1,i)>p(3,i)
            k_P=[k_P p(1,i) ];
        elseif p(2,i)>p(3,i)&& p(2,i)>p(1,i)
            k_P=[k_P p(2,i) ];
        else
            k_P=[k_P p(3,i) ];
        end
end
